ServerEvents.recipes(event => {
//dark matter tools
	event.recipes.gtceu.assembler("projecte:dm_pick")
        .itemInputs("minecraft:diamond_pickaxe",
            "20x gtceu:exquisite_diamond_gem",
            "30x projecte:dark_matter"
        )
        .itemOutputs("projecte:dm_pick")
        .duration(600)
        .EUt(GTValues.VA[GTValues.ZPM])
	
	event.recipes.gtceu.assembler("projecte:dm_axe")
    .itemInputs(
			"minecraft:diamond_axe",
			"20x gtceu:exquisite_diamond_gem",
			"30x projecte:dark_matter"
		)
		.itemOutputs("projecte:dm_axe")
		.duration(600)
		.EUt(GTValues.VA[GTValues.ZPM])
	
	event.recipes.gtceu.assembler("projecte:dm_shovel")
		.itemInputs(
			"minecraft:diamond_shovel",
			"20x gtceu:exquisite_diamond_gem",
			"10x projecte:dark_matter"
		)
		.itemOutputs("projecte:dm_shovel")
		.duration(600)
		.EUt(GTValues.VA[GTValues.ZPM])
	
	event.recipes.gtceu.assembler("projecte:dm_hoe")
		.itemInputs(
			"minecraft:diamond_hoe",
			"20x gtceu:exquisite_diamond_gem",
			"20x projecte:dark_matter"
		)
		.itemOutputs("projecte:dm_hoe")
		.duration(600)
		.EUt(GTValues.VA[GTValues.ZPM])
	
	
	event.recipes.gtceu.assembler("projecte:dm_shears")
		.itemInputs(
			"minecraft:shears",
			"10x gtceu:exquisite_diamond_gem",
			"10x projecte:dark_matter"
		)
		.itemOutputs("projecte:dm_shears")
		.duration(600)
		.EUt(GTValues.VA[GTValues.ZPM])
	
	
	event.recipes.gtceu.assembler("projecte:dm_hammer")
		.itemInputs(
			"gtceu:diamond_hammer",
			"20x gtceu:exquisite_diamond_gem",
			"40x projecte:dark_matter"
		)
		.itemOutputs("projecte:dm_hammer")
		.duration(600)
		.EUt(GTValues.VA[GTValues.ZPM])
	
	
	event.recipes.gtceu.assembler("projecte:dm_sword")
		.itemInputs(
			"minecraft:diamond_sword",
			"10x gtceu:exquisite_diamond_gem",
			"20x projecte:dark_matter"
		)
		.itemOutputs("projecte:dm_sword")
		.duration(600)
		.EUt(GTValues.VA[GTValues.ZPM])
	
//dark matter tools
	event.recipes.gtceu.assembler("projecte:rm_pick")
		.itemInputs(
			"projecte:dm_pick",
			"42x gtceu:tritanium_ring",
			"13x gtceu:tritanium_screw",
			"12x gtceu:yttrium_barium_cuprate_single_cable",
			"50x projecte:red_matter"
		)
		.itemOutputs("projecte:rm_pick")
		.duration(800)
		.EUt(GTValues.VA[GTValues.UV])
	
	
	event.recipes.gtceu.assembler("projecte:rm_axe")
		.itemInputs(
			"projecte:dm_axe",
			"40x gtceu:tritanium_ring",
			"15x gtceu:tritanium_screw",
			"12x gtceu:yttrium_barium_cuprate_single_cable",
			"50x projecte:red_matter"
		)
		.itemOutputs("projecte:rm_axe")
		.duration(800)
		.EUt(GTValues.VA[GTValues.UV])
	
	
	event.recipes.gtceu.assembler("projecte:rm_shovel")
		.itemInputs(
			"projecte:dm_shovel",
			"35x gtceu:tritanium_ring",
			"10x gtceu:tritanium_screw",
			"12x gtceu:yttrium_barium_cuprate_single_cable",
			"50x projecte:red_matter"
		)
		.itemOutputs("projecte:rm_shovel")
		.duration(800)
		.EUt(GTValues.VA[GTValues.UV])
	
	
	event.recipes.gtceu.assembler("projecte:rm_hoe")
		.itemInputs(
			"projecte:dm_hoe",
			"20x gtceu:tritanium_ring",
			"10x gtceu:tritanium_screw",
			"12x gtceu:yttrium_barium_cuprate_single_cable",
			"50x projecte:red_matter"
		)
		.itemOutputs("projecte:rm_hoe")
		.duration(800)
		.EUt(GTValues.VA[GTValues.UV])
	
	
	event.recipes.gtceu.assembler("projecte:rm_shears")
		.itemInputs(
			"projecte:dm_shears",
			"15x gtceu:tritanium_ring",
			"8x gtceu:tritanium_screw",
			"12x gtceu:yttrium_barium_cuprate_single_cable",
			"50x projecte:red_matter"
		)
		.itemOutputs("projecte:rm_shears")
		.duration(800)
		.EUt(GTValues.VA[GTValues.UV])
	
	
	event.recipes.gtceu.assembler("projecte:rm_hammer")
		.itemInputs(
			"projecte:dm_hammer",
			"55x gtceu:tritanium_ring",
			"23x gtceu:tritanium_screw",
			"12x gtceu:yttrium_barium_cuprate_single_cable",
			"50x projecte:red_matter"
		)
		.itemOutputs("projecte:rm_hammer")
		.duration(800)
		.EUt(GTValues.VA[GTValues.UV])
	
	
	event.recipes.gtceu.assembler("projecte:rm_sword")
		.itemInputs(
			"projecte:dm_sword",
			"28x gtceu:tritanium_ring",
			"19x gtceu:tritanium_screw",
			"12x gtceu:yttrium_barium_cuprate_single_cable",
			"50x projecte:red_matter"
		)
		.itemOutputs("projecte:rm_sword")
		.duration(800)
		.EUt(GTValues.VA[GTValues.UV])
	
	
	event.recipes.gtceu.assembly_line("projecte:rm_katar")
        .itemInputs(
            "projecte:rm_shears",
            "projecte:rm_axe",
            "projecte:rm_sword",
            "projecte:rm_hoe",
            "50x projecte:red_matter",
            "4x gtceu:omnium_screw"
        )
        .inputFluids("gtceu:omnium 144")
        .itemOutputs("projecte:rm_katar")
        .duration(400)
        .EUt(GTValues.VA[GTValues.UHV])
        .stationResearch(b => b
            .researchStack("projecte:rm_sword")
            .CWUt(128)
            .EUt(GTValues.VA[GTValues.UV])
			)
	
	
	event.recipes.gtceu.assembly_line("projecte:rm_morning_star")
        .itemInputs(
            "projecte:rm_hammer",
            "projecte:rm_pick",
			"projecte:rm_shovel",
			"50x projecte:red_matter",
            "4x gtceu:omnium_screw"
        )
        .inputFluids("gtceu:omnium 144")
        .itemOutputs("projecte:rm_morning_star")
        .duration(400)
        .EUt(GTValues.VA[GTValues.UHV])
        .stationResearch(b => b
            .researchStack("projecte:rm_pick")
            .CWUt(128)
            .EUt(GTValues.VA[GTValues.UV])
			)
	
})
